#
# spec file for package python-itsdangerous
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-itsdangerous
Version:        0.24
Release:        6.1
License:        BSD-3-Clause
Summary:        Various helpers to pass trusted data to untrusted environments and back
Url:            http://github.com/mitsuhiko/itsdangerous
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/i/itsdangerous/itsdangerous-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
It's Dangerous
   ... so better sign this

Various helpers to pass data to untrusted environments and to get it back
safe and sound.

This repository provides a module that is a port of the django signing
module.  It's not directly copied but some changes were applied to
make it work better on its own.

Also I plan to add some extra things.  Work in progress.


%prep
%setup -q -n itsdangerous-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{python_sitelib}/*

%changelog
* Fri Jul 18 2014 toddrme2178@gmail.com
- Update to 0.24
  - Added a `BadHeader` exception that is used for bad headers
    that replaces the old `BadPayload` exception that was reused
    in those cases.
* Tue Sep  3 2013 cfarrell@suse.com
- license update: BSD-3-Clause
  See the LICENSE file
* Mon Sep  2 2013 speilicke@suse.com
- Initial version
